{% extends 'base.html.twig' %}

{% set bodyClass = 'registry_violation show' %}
{% set menuItem = 'registry_violation' %}

{% block title %}{{ 'registry.violation.title.show'|trans }} - {{ parent() }}{% endblock %}

{% block body_head %}
    <h1>
        {{ 'registry.violation.title.show'|trans }}
        <small>{{ object }}</small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'registry.violation.breadcrumb.list'|trans, 'link': path('registry_violation_list') },
        { 'name': 'registry.violation.breadcrumb.show'|trans({'%name%': object}) }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}

    <div class="row">
        <div class="col-xs-12">
            <div class="action-bar">
                <a href="{{ path('registry_violation_list') }}" class="btn btn-default">
                    <i class="fa fa-arrow-left"></i>
                    {{ 'registry.violation.action.back_to_list'|trans }}
                </a>
                {% if is_granted('ROLE_USER') and object.deletedAt is null %}
                <a href="{{ path('registry_violation_edit', {'id': object.id}) }}" class="btn btn-default">
                    <i class="fa fa-pencil-alt"></i>
                    {{ 'action.edit'|trans }}
                </a>
                {% endif %}
            </div>
        </div>
    </div>

    <div class="row">
        {# LEFT #}
        <div class="col-md-6">
            {# INFORMATION #}
            <div class="box box-solid box-primary">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.violation.tab.information'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.date'|trans }}</strong></td>
                            <td>{{ object.date|date('d/m/Y') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.in_progress'|trans }}</strong></td>
                            <td>
                                {% if object.inProgress %}
                                    <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-red">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.violation_nature'|trans }}</strong></td>
                            <td>{{ object.violationNature|dictionary('registry_violation_nature') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.origins'|trans }}</strong></td>
                            <td>
                                <ul>
                                {% for origin in object.origins %}
                                    <li>{{ origin|dictionary('registry_violation_origin') }}</li>
                                {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.cause'|trans }}</strong></td>
                            <td>{{ object.cause|dictionary('registry_violation_cause') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.concerned_data_nature'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% for data in object.concernedDataNature %}
                                        <li>{{ data|dictionary('registry_violation_concerned_data') }}</li>
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.concerned_people_categories'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% for category in object.concernedPeopleCategories %}
                                        <li>{{ category|dictionary('registry_violation_concerned_people') }}</li>
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.nb_affected_rows'|trans }}</strong></td>
                            <td>{{ object.nbAffectedRows }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.nb_affected_persons'|trans }}</strong></td>
                            <td>{{ object.nbAffectedPersons }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# HISTORIC #}
            <div class="box box-solid box-default">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.violation.tab.historic'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.creator'|trans }}</strong></td>
                            <td>
                                {{ object.creator }}
                            </td>
                        </tr>
                        {% if is_granted('ROLE_ADMIN') %}
                            <tr>
                                <td><strong>{{ 'registry.violation.show.collectivity'|trans }}</strong></td>
                                <td>
                                    <a href="{{ path('user_collectivity_show', {'id': object.collectivity.id }) }}">
                                        {{ object.collectivity }}
                                    </a>
                                </td>
                            </tr>
                        {% endif %}
                        <tr>
                            <td><strong>{{ 'registry.violation.show.created_at'|trans }}</strong></td>
                            <td>{{ object.createdAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.updated_at'|trans }}</strong></td>
                            <td>{{ object.updatedAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>


        {# RIGHT #}
        <div class="col-md-6">
            {# CONSEQUENCE #}
            <div class="box box-solid box-success">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.violation.tab.consequence'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.potential_impacts_nature'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% for impact in object.potentialImpactsNature %}
                                        <li>{{ impact|dictionary('registry_violation_impact') }}</li>
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.gravity'|trans }}</strong></td>
                            <td>{{ object.gravity|dictionary('registry_violation_gravity') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.communication'|trans }}</strong></td>
                            <td>{{ object.communication|dictionary('registry_violation_communication') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.communication_precision'|trans }}</strong></td>
                            <td>{{ object.communicationPrecision|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.applied_measures_after_violation'|trans }}</strong></td>
                            <td>{{ object.appliedMeasuresAfterViolation|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.notification'|trans }}</strong></td>
                            <td>
                                {% if object.notification %}
                                    {{ object.notification|dictionary('registry_violation_notification') }}
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.notification_details'|trans }}</strong></td>
                            <td>{{ object.notificationDetails|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.violation.show.comment'|trans }}</strong></td>
                            <td>{{ object.comment|nl2br }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# PROOFS #}
            {% include '_Utils/_show_block_proofs.html.twig' with { proofs: object.proofs } %}
        </div>

    </div>
{% endblock %}
